#!/usr/bin/env python
# -*- coding: utf-8 -*-


try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup


with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    'slumber==0.7.1'
]

test_requirements = [
    'unittest2==1.1.0'
]

setup(
    name='mayan-api_client',
    version='0.5.0',
    description="Python client for the Mayan EDMS REST API.",
    long_description=readme + '\n\n' + history,
    author="Roberto Rosario",
    author_email='roberto.rosario@mayan-edms.com',
    url='https://github.com/rosarior/mayan_api_client',
    packages=[
        'mayan_api_client',
    ],
    package_dir={'mayan_api_client':
                 'mayan_api_client'},
    include_package_data=True,
    install_requires=requirements,
    license="ISCL",
    zip_safe=False,
    keywords='mayan_api_client',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: ISC License (ISCL)',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
